<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']= 'Файлы';
include_once '../../sys/inc/thead.php';
title();

only_reg();

echo '<div class="p_t">';
echo '<img src="/style/img/reiting.png" alt=""/> Топ 20 файлов<br/>';
echo '</div>';


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user_files_mod_files`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$res = mysql_query("select * from `user_files_mod_files` order by prosm desc LIMIT 20");

if ($k_post==0){

echo '<div class="komm">';
echo 'Нет файлов.<br/>';
echo '</div>';

}else{

while ($post = mysql_fetch_array($res)){

echo '<div class="str">';
echo '<img src="/user/files/image/files.png" alt="."/> <a href="/user/files/file.php?id='.$post['id'].'">'.output_text($post['name']).'</a> ['.vremja($post['time']).']';
echo '<br/>';
echo '<small>'.output_text(substr($post['opis'],0,70)).'...</small><br/>';
echo 'Просмотров: '.$post['prosm'].'<br/>';
echo '</div>';

}

}


echo '<div class="foot">';
echo '<a href="/user/files/?id='.$user['id'].'">К моим файлам</a><br/>';
echo '</div>';
echo "<div class='foot'>\n";
echo "<a href='/user/files/vse.php'>Файлы</a>\n";
echo "</div>\n";
include_once '../../sys/inc/tfoot.php';
?>